Page 2 of 2

Re: gcc issue in all installation

Posted: Mon Feb 26, 2018 20:39
by orisystech
no, doesn't work. I uninstalled gcc 4.9, gcc 5.4 base-gcc 4.9, base-gcc 5.4 switch to 6.4 run . /etc/profile add python 3.5 in make.conf.... but nothing.
the error in config.log is:

Code: Select all

x86_64-pc-linux-gnu-gcc: error: unrecognized command line option '-qversion'; did you mean '--version'?

Re: gcc issue in all installation

Posted: Mon Feb 26, 2018 21:12
by cyklops66
Yeap, i have exactly the same problem. Can't build some stuff anymore. I run - like on other gentoo machines - gcc-config, update profile and so on. No chance at this time.

Re: gcc issue in all installation

Posted: Mon Feb 26, 2018 21:31
by orisystech
for pacman I solved!
I switched binutils with binutils-config to the latest version.

Re: gcc issue in all installation

Posted: Mon Feb 26, 2018 21:32
by sabayonino
aaaarghhhh ! Binutils !!! LOL

Re: [ SOLVED ]gcc issue in all installation

Posted: Mon Feb 26, 2018 22:56
by cyklops66
Yeah, thank you. Strange thing, i had no files in /etc/env.d/binutils/. Installed .29 version binutils and now everything is fine.

Thank you very much.